libdatrie (0.2.10-2) unstable; urgency=medium

  * Use system jquery.js for doc package [lintian].
    - d/control: Add dependency on libjs-jquery.
    - d/rules: Exclude jquery.js on dh_install.
    - d/libdatrie-doc.links: Add symlinks for jquery.js to system file.
    - d/control: Demote web browser from Depends to Suggests;
      Use iceweasel instead of lynx.
  * Convert rules to dh.
    - d/rules: Rewrite rules using dh with appropriate overrides.
    - d/compat: Bump to level 9, to get multiarch support from dh.
    - d/control: B-Dep on debhelper >= 9.
  * Use HTTPS in Vcs-* fields [lintian].

 -- Theppitak Karoonboonyanan <thep@debian.org>  Mon, 01 Feb 2016 22:08:41 +0700

libdatrie (0.2.10-1) unstable; urgency=medium

  * Imported Upstream version 0.2.10
  * Add B-Dep on autoconf-archive required to autoreconf new upstream.

 -- Theppitak Karoonboonyanan <thep@debian.org>  Tue, 20 Oct 2015 14:19:04 +0700

libdatrie (0.2.9-3) unstable; urgency=medium

  * Build udeb as part of libthai support in d-i (See #800356)

 -- Theppitak Karoonboonyanan <thep@debian.org>  Wed, 30 Sep 2015 14:58:47 +0700

libdatrie (0.2.9-2) unstable; urgency=medium

  * Add maintscript to handle symlink-to-dir in -dev package.
    - d/libdatrie-dev.maintscript: Add maintscript.
    - d/control: Add Pre-Depends for the maintscript helper.
    (Closes: #788163)

 -- Theppitak Karoonboonyanan <thep@debian.org>  Tue, 09 Jun 2015 11:43:39 +0700

libdatrie (0.2.9-1) unstable; urgency=medium

  * Drop explicit rules for xz compression
    dpkg-dev (>= 1.17.0) already does this by default.
  * Drop Conflicts on obsolete libdatrie0-{dev,doc}
  * Install libdatrie-dev docs as symlink.
  * Imported Upstream version 0.2.9
  * Bump doxygen dep to 1.8.8, as per upstream.
  * Bump Standards-Version to 3.9.6 (no changes)

 -- Theppitak Karoonboonyanan <thep@debian.org>  Sun, 03 May 2015 21:50:07 +0700

libdatrie (0.2.8-1) unstable; urgency=medium

  * Imported Upstream version 0.2.8
  * Run test suites after build
  * Declare libdatrie-dev M-A: same
  * Update copyright years
  * Bump Standards-Version to 3.9.5 (no changes)

 -- Theppitak Karoonboonyanan <thep@debian.org>  Fri, 10 Jan 2014 13:36:33 +0700

libdatrie (0.2.7.1-1) unstable; urgency=low

  * Use canonical anonscm URIs in Vcs-* fields.
  * Imported Upstream version 0.2.7
  * Bump doxygen b-dep, as per upstream
  * d/libdatrie1.symbols: Updated according to upstream API change
  * Imported Upstream version 0.2.7.1

 -- Theppitak Karoonboonyanan <thep@debian.org>  Tue, 22 Oct 2013 08:34:26 +0700

libdatrie (0.2.6-2) unstable; urgency=low

  * debian/watch: Watch upstream .tar.xz instead of .tar.gz.
  * Upload to unstable.

 -- Theppitak Karoonboonyanan <thep@debian.org>  Thu, 09 May 2013 09:41:45 +0700

libdatrie (0.2.6-1) experimental; urgency=low

  * Bump Standards-Version to 3.9.3 with changes
    - Update debian/copyright Format: URL to 'packaging-manuals' one.
  * Update copyright years
  * Imported Upstream version 0.2.6
  * debian/libdatrie1.symbols: Updated as per upstream
  * debian/copyright: Update copyright years
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Build with xz compression

 -- Theppitak Karoonboonyanan <thep@debian.org>  Wed, 23 Jan 2013 17:46:32 +0700

libdatrie (0.2.5-3) unstable; urgency=low

  * Set Vcs-Git and Vcs-Browser to alioth
  * Point Homepage directly to linux.thai.net page
  * debian/control, debian/copyright: Apply wrap-and-sort

 -- Theppitak Karoonboonyanan <thep@debian.org>  Thu, 22 Dec 2011 13:03:09 +0700

libdatrie (0.2.5-2) unstable; urgency=low

  * debian/copyright:
    - Use non-forwarding format URL. Bump to revision 202.
    - Upstream license is actually LGPL-2.1, not 2.0.
    - Add extended text for LGPL-2.1 and GPL-2.
  * debian/rules:
    - Add back upstream 'make distclean' that was lost in 0.2.4-3, so it
      builds twice in a row again.

 -- Theppitak Karoonboonyanan <thep@debian.org>  Thu, 17 Nov 2011 15:44:58 +0700

libdatrie (0.2.5-1) unstable; urgency=low

  * New upstream release.
  * Use hardening build flags:
    - B-Dep on dpkg-dev (>= 0.16.1~) for dpkg-buildflags
    - Obtain build flags from dpkg-buildflags
    - Drop old CFLAGS & LDFLAGS, as now overridden by dpkg-buildflags

 -- Theppitak Karoonboonyanan <thep@debian.org>  Fri, 04 Nov 2011 16:03:41 +0700

libdatrie (0.2.4-3) unstable; urgency=low

  * Merge Ubuntu changes (build for multiarch)
    - Build-dep on debhelper (>= 8.1.3)
    - Add "Pre-Depends: ${misc:Pre-Depends}" for libdatrie1
    - Add DEB_HOST_MULTIARCH and pass it to --libdir as a subdir
      under /usr/lib in configure
    - Replace /usr/lib/ with /usr/lib/*/ in {libdatrie1,libdatrie-dev}.install
    - Add "Multi-Arch: same" for libdatrie1
  * Use dh-autoreconf instead of direct autoreconf call and manual cleanups
    - Build-dep on dh-autoreconf
    - Call dh_autoreconf on configure and dh_autoreconf_clean on clean
  * Bump Standards-Version to 3.9.2 (no changes needed)

 -- Theppitak Karoonboonyanan <thep@debian.org>  Sun, 19 Jun 2011 22:11:10 +0700

libdatrie (0.2.4-2ubuntu1) oneiric; urgency=low

  * Build for multiarch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 26 Mar 2011 00:56:37 -0700

libdatrie (0.2.4-2) unstable; urgency=low

  * debian/copyright:
    - Updated to DEP-5 rev 173.
    - Update copyright year for debian/*.
  * debian/rules:
    - Drop unnecessary --infodir configure option.
    - Use short options -i/-a instead of --indep/--arch for dh_ commands.
  * Mark libdatrie-doc as "Multi-Arch: foreign" in preparation for multi-arch
    environment to come. This will satisfy Recommends from libdatrie-dev.
  * Bump Standards-Version to 3.9.1 (no changes needed)

 -- Theppitak Karoonboonyanan <thep@debian.org>  Sun, 13 Mar 2011 21:32:47 +0700

libdatrie (0.2.4-1) unstable; urgency=low

  * New upstream release
    - debian/libdatrie1.symbols: Add new symbols according to upstream.
  * Bump Standards-Version to 3.9.0 (no changes needed)

 -- Theppitak Karoonboonyanan <thep@debian.org>  Wed, 30 Jun 2010 16:40:33 +0700

libdatrie (0.2.3-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.4 (no changes needed)

 -- Theppitak Karoonboonyanan <thep@debian.org>  Sat, 27 Feb 2010 21:09:46 +0700

libdatrie (0.2.2-3) unstable; urgency=low

  * debian/rules: Fix failure to build twice in a row (Closes: #564815):
    - Fix typo '$(MAKE) maintainerclan'
    - Clean other changed files left over from 'make maintainer-clean'
    - 'config.status' depends on 'configure.ac' instead of 'configure'
    - Don't fail if m4/ already exists
  * Add missing ${misc:Depends} [lintian].

 -- Theppitak Karoonboonyanan <thep@debian.org>  Wed, 13 Jan 2010 20:48:24 +0700

libdatrie (0.2.2-2) unstable; urgency=low

  * debian/control:
    - Update my e-mail address to @debian.org.
    - Drop DM-Upload-Allowed.
  * debian/copyright:
    - Update my e-mail address for debian/* to @debian.org.
  * debian/rules:
    - Run autoreconf instead of just updating config.{sub,guess}, as required
      by libtool
    - Run 'make maintainerclean' instead of 'make distclean' on clean target,
      to clear all autoconf-generated files
  * debian/control:
    - Build-Depends on libtool, automake, autoconf, for autoreconf.
    - Drop Build-Depends on autotools-dev
  * Switch to "3.0 (quilt)" source format.
  * Bump Standards-Version to 3.8.3 (no changes needed)

 -- Theppitak Karoonboonyanan <thep@debian.org>  Mon, 07 Dec 2009 12:40:05 +0700

libdatrie (0.2.2-1) unstable; urgency=low

  * Use complete sentences in libdatrie1 long description. (Closes: #525806)
  * New upstream release, fixing builds on non-GNU systems.
  * Remove duplicated field "section" for libdatrie1 [lintian].

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Wed, 29 Apr 2009 15:24:31 +0700

libdatrie (0.2.1-2) unstable; urgency=low

  * Drop versioned b-dep on dpkg-dev, as Vcs-Cvs: is no more needed.
  * Upload to unstable.

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Sun, 12 Apr 2009 10:02:04 +0700

libdatrie (0.2.1-1) experimental; urgency=low

  * Fix broken Vcs-Browser field.
  * New upstream release, with symbols versioning added
    - debian/libdatrie0.symbols: Update symbols tags to "DATRIE_0.2" as per
      upstream. This is not considered ABI breakage, as unversioned calls are
      still resolved to the same symbols as versioned ones.

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Sun, 05 Apr 2009 14:42:01 +0700

libdatrie (0.2.0-1) experimental; urgency=low

  * VCS moved from CVS to SVN; update Vcs-* fields accordingly.
  * New upstream version, with ABI breakage
    - Rename binary packages according to SONAME change, to allow run-time
      coexistence with old version: libdatrie1, libdatrie1-bin
    - Rename libdatrie0-dev to libdatrie-dev, and conflicts with
      libdatrie0-dev, as both versions share the same headers location;
      this should be the package naming scheme from now on
    - Ditto to libdatrie-doc
  * Shared lib updates:
    - debian/rules:
      + Bump shlib dep to 0.2.0, and shlib package is now libdatrie1
    - debian/libdatrie1.symbols:
      + Update symbols, setting minver to 0.2.0 for all symbols
  * Bump debhelper compat to level 7
    - Bump debian/compat to 7
    - Build-dep on debhelper (>= 7)
    - debian/rules:
      + Replace obsoleted 'dh_clean -k' with 'dh_prep'
      + Remove *-stamp clean-ups in clean target, as dh_clean now does it
  * debian/libdatrie-doc.docs:
    - Install README.migration provided by upstream
  * debian/copyright:
    - Update format to proposal rev 454
  * Bump Standards-Version to 3.8.1 (no changes needed)

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Wed, 25 Mar 2009 14:43:36 +0700

libdatrie (0.1.3-2) unstable; urgency=low

  * Add Build-Depends-Package info to libdatrie0.symbols and bump dpkg-dev
    Build-deps to (>= 1.14.13) accordingly. Thanks Loïc Minier.
  * Fix CVSROOT in Vcs-Cvs, so it really works with debcheckout.
  * debian/libdatrie0-doc.doc-base: Correct doc-base section (Programming).
  * debian/rules:
    - Update config.{guess,status} before configure, and clean them up on
      clean target, so the changes are not included in .diff.gz
    - Use 'make -C $dir' instead of 'cd $dir; make'
    - Do not build/install doc on binary-arch
  * debian/copyright:
    - Remove inline license file referals, and use usual Debian text at the
      bottom instead
    - Update format to current proposal
  * debian/watch: Fix watch pattern so that only *.tar.gz is matched, not
    *.tar.gz.md5sum.
  * Use short description for libdatrie0, and add that it's usually
    auto-installed.
  * debian/control:
    - Add DM-Upload-Allowed
    - Bump Standards-Versions to 3.8.0 (no changes needed)

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Sat, 21 Jun 2008 11:39:32 +0700

libdatrie (0.1.3-1) unstable; urgency=low

  * New upstream release
    - Fix memory bug which can crash on some platforms, reportedly win32.
    - Fix symbols exporting, so it builds on Mac.
    - Remove excessive documentation for private API's.
    - Add the SBM file format documentation frequently asked for
  * debian/copyright: Rewrite in machine-interpretable format.
  * Remove XS- prefix from XS-Vcs-* fields.
  * Move Homepage info from description to control field.
  * Bump Standards-Version to 3.7.3, no changes needed.
  * debian/libdatrie0.symbols: Add symbols file to provide fine-grained
    shlib dependency tracking.
  * debian/control: Build-depend on debhelper (>= 5.0.61) and dpkg-dev (>=
    1.14.9) for the required dh_makeshlibs version.
  * debian/libdatrie0-doc.doc-base: Remove excessive whitespace. (lintian)

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Mon, 28 Jan 2008 17:19:12 +0700

libdatrie (0.1.2-2) unstable; urgency=low

  * Do not install functions man pages for now, to avoid messing man
    directories with plenty of doxygen-generated pages, and to avoid conflicts
    with other packages.

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Sat, 25 Aug 2007 17:11:23 +0700

libdatrie (0.1.2-1) unstable; urgency=low

  * debian/libdatrie-bin.manpages:
    - Install man pages from built directory, rather than from source.
  * debian/libdatrie0-dev.manpages:
    - Added to install doxygen-generated API man pages.
  * New upstream release
    - Limited symbols export, to avoid name clashing
    - Improved error handling for edge cases
    - Fix crashes
  * Set shlibs to >= 0.1.2.
  * Add XS-Vcs-Cvs and XS-Vcs-Browser info.
  * Do not ignore 'make clean' error.

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Sat, 25 Aug 2007 14:56:20 +0700

libdatrie (0.1.1-4) unstable; urgency=low

  * debian/rules: Revert manual calls to doxygen and rely on configure
    auto-detection. Doxygen shouldn't be found in arch buildd's now, as we had
    moved it to Build-Depends-Indep. Thanks to Loïc Minier for suggestion.

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Mon, 11 Dec 2006 09:51:26 +0700

libdatrie (0.1.1-3) unstable; urgency=low

  * Package sponsored by Loïc Minier.
  * Split arch and indep builds completely
    - debian/control: move doxygen to Build-Depends-Indep.
    - debian/rules: disable doxygen and manually call it on indep targets.
  * debian/rules adjustments
    - Remove unused shared library version info assignment.
    - Pass --host=$(DEB_HOST_GNU_TYPE) to configure only when cross compiling.
    - Add missing targets in .PHONY
  * debian/*.dirs: Removed, not needed for debhelper compat level 5.
  * debian/copyright: Change the download place to match that in watch file.

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Sun, 10 Dec 2006 17:02:24 +0700

libdatrie (0.1.1-2) unstable; urgency=low

  * Split binary program to libdatrie-bin.
  * Rename libdatrie-{dev,doc} to libdatrie0-{dev,doc}.

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Wed, 18 Oct 2006 00:17:08 +0700

libdatrie (0.1.1-1) unstable; urgency=low

  * Initial release (Closes: #392315)

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Thu, 12 Oct 2006 15:27:50 +0700

